刚刚装了一个系统的更新,重启就进不了图形界面了,紧急求助!!

为当前最终发行版之前的所有版本提供支持
回复
ygf
帖子: 458
注册时间: 2006-11-27 12:25
送出感谢: 0
接收感谢: 0

刚刚装了一个系统的更新,重启就进不了图形界面了,紧急求助!!

#1

帖子 ygf » 2007-01-12 20:51

我刚刚装了两个系统更新,当时提示好象是什么非正式的,没有注意就装了,结果现在重启后就进不了图形桌面了(进去了一下就跳出来),只能进命令行。请问如何将刚装的更新去掉?有什么解救的办法?谢谢!
ygf
帖子: 458
注册时间: 2006-11-27 12:25
送出感谢: 0
接收感谢: 0

#2

帖子 ygf » 2007-01-12 22:31

试着在命令行中将linux-restricted-modules-2.6.17-10-386卸载,然后重启,终于进入了图形界面,但是Beryl运行有点问题了。看来上述的更新不能安装。(一头汗啊!!)
jyy_master
帖子: 20
注册时间: 2006-12-16 12:08
送出感谢: 0
接收感谢: 0

#3

帖子 jyy_master » 2007-01-12 23:26

每次重装linux-restricted-modules 后,需要重新安装显卡驱动,重新修改xorg.conf文件:
在 Section "Screen" 里面添加
Option "AddARGBGLXVisuals" "True"

可选:
在 Section "Device" 里面添加
Option "TripleBuffer" "true"

添加如下一项:
Section "Extensions"
Option "Composite" "Enable"
EndSection

否则就会出现进入不了图形界面的情况,或者进入后beryl工作不正常。其实更新linux-restricted-modules模块还是有很多好处的,我最后一次更新这个模块后感觉系统快了很多,个人感觉这个模块就像一个驱动程序库一样!
ygf
帖子: 458
注册时间: 2006-11-27 12:25
送出感谢: 0
接收感谢: 0

#4

帖子 ygf » 2007-01-12 23:45

谢谢!按3楼的说法重新设置,Beryl终于恢复正常了。刚看了其他贴子,发现不少人在装了这个模块(-386)后会遇到显示问题,不知是否与显卡驱动有冲突?
回复

回到 “老旧版本支持”